//+------------------------------------------------------------------+
//|                                                   wick_equal |
//+------------------------------------------------------------------+
//|                                                  
//+------------------------------------------------------------------+
#property copyright "Free"

#property indicator_separate_window
#property indicator_buffers 4

#property indicator_color1 DarkGray
#property indicator_color2 DarkGray
#property indicator_color3 Red
#property indicator_color4 DeepSkyBlue
#property indicator_color5 Gold
#property indicator_color6 Aqua


#property indicator_level1 0
#property indicator_levelcolor White
#property indicator_levelstyle 0



extern int width=7;


//----
extern color color1 = DarkGray;
extern color color2 = DarkGray;
extern color color3 = Red;
extern color color4 = DeepSkyBlue;
extern color color5 = Gold;
extern color color6 = Aqua;

//---- buffers
double ExtMapBuffer1[];
double ExtMapBuffer2[];
double ExtMapBuffer3[];
double ExtMapBuffer4[];
double ExtMapBuffer5[];
double ExtMapBuffer6[];


//----
int ExtCountedBars=0;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//|------------------------------------------------------------------|
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_HISTOGRAM, 0, width, color1);
   SetIndexBuffer(0, ExtMapBuffer1);
   IndicatorDigits(Digits+5);
   
   SetIndexStyle(1,DRAW_HISTOGRAM, 0, width, color2);
   SetIndexBuffer(1, ExtMapBuffer2);
   IndicatorDigits(Digits+5);
   
   SetIndexStyle(2,DRAW_HISTOGRAM, 0, width, color3);
   SetIndexBuffer(2, ExtMapBuffer3);
   IndicatorDigits(Digits+5);
   
   SetIndexStyle(3,DRAW_HISTOGRAM, 0, width, color4);
   SetIndexBuffer(3, ExtMapBuffer4);
   IndicatorDigits(Digits-5);
   
   SetIndexStyle(4,DRAW_HISTOGRAM, 0, width, color5);
   SetIndexBuffer(4, ExtMapBuffer3);
   IndicatorDigits(Digits+5);
   
   SetIndexStyle(5,DRAW_HISTOGRAM, 0, width, color6);
   SetIndexBuffer(5, ExtMapBuffer4);
   IndicatorDigits(Digits+5);
//----
   SetIndexDrawBegin(0,0);
   SetIndexDrawBegin(1,0);
   SetIndexDrawBegin(2,0);
   SetIndexDrawBegin(3,0);
   SetIndexDrawBegin(4,0);
   SetIndexDrawBegin(5,0);
   
//---- indicator buffers mapping
   SetIndexBuffer(0,ExtMapBuffer1);
   SetIndexBuffer(1,ExtMapBuffer2);
   SetIndexBuffer(2,ExtMapBuffer3);
   SetIndexBuffer(3,ExtMapBuffer4);
   SetIndexBuffer(4,ExtMapBuffer5);
   SetIndexBuffer(5,ExtMapBuffer6);
//---- initialization done
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//---- TODO: add your code here
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   double Up, Dn;
   if(Bars<=1) return(0);
   ExtCountedBars=IndicatorCounted();
//---- check for possible errors
   if (ExtCountedBars<0) return(-1);
//---- last counted bar will be recounted
   if (ExtCountedBars>0) ExtCountedBars--;
   int pos=Bars-ExtCountedBars-1;
   while(pos>=0)
     
      {
      if
      (
      Close[pos]>Open[pos]
      )
      {            
            Up=(High[pos]-Close[pos])*100000;
            Dn=(Open[pos]-Low[pos])*100000;
            if(Up==Dn)
      {            
               ExtMapBuffer4[pos]=Up;
               ExtMapBuffer3[pos]=0;
      }

        
        
      }
        

            
         
      if
      (
      Close[pos]<Open[pos]
      )      
      {            
            Dn=(Close[pos]-Low[pos])*100000;
            Up=((High[pos]-Open[pos])*100000);
            if(Dn==Up)
      {          
               ExtMapBuffer4[pos]=0;
               ExtMapBuffer3[pos]=Dn*-1;               
      }           
         
         
         
         
         }       
          
     


                           
 	      pos--;
    }
//----
   return(0);
  }
//+------------------------------------------------------------------+